r"""
Functions for calculating velocity and gravitational wave power spectra from
a first-order phase transition in the Sound Shell Model.

The Sound Shell Model is discussed in further detail in the article
:ssm:`Sound Shell Model for Acoustic Gravitational Wave Production at a First-Order Phase Transition in the Early Universe (Hindmarsh, 2018) <>`
"""

from .calculators import *
from .const import *
from .spectrum import *
from .ssm import *
